using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 小程序草稿
    /// </summary>
    [SugarTable("YB_MiniProgramsDraft", TableDescription = "小程序草稿", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_MiniProgramsDraft
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 草稿 id
        /// </summary>
        [SugarColumn(ColumnDescription = "草稿 id")]
        public System.Int32 DraftId { get; set; }

        /// <summary>
        /// 版本号，开发者自定义字段
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号，开发者自定义字段", ColumnDataType = "varchar(100)")]
        public System.String UserVersion { get; set; }

        /// <summary>
        /// 版本描述   开发者自定义字段
        /// </summary>
        [SugarColumn(ColumnDescription = "版本描述   开发者自定义字段", ColumnDataType = "nvarchar(200)")]
        public System.String UserDesc { get; set; }

        /// <summary>
        /// 上传时间
        /// </summary>
        [SugarColumn(ColumnDescription = "上传时间")]
        public System.DateTime CreateTime { get; set; }

        /// <summary>
        /// 同步时间
        /// </summary>
        [SugarColumn(ColumnDescription = "同步时间")]
        public System.DateTime SyncTime { get; set; }
    }
}
